#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCtreeList.h>
extern WSCtreeList* newlist_001;
void btnep1(WSCbase* object){
static int count = 1;
  WSCstring str;
  str << "項目" << count;
  newlist_001->addItem(str);

  //アイコンの設定例
  if (count % 2 == 0){
    //2,4,6..番目において、
    //WSNiconPixmap プロパティとは別にアイコン指定してみる。
    //リストから項目表示に使われるラベルを取得。
    //-1 は最後の項目を意味する。
    WSCbase* lb = newlist_001->getLabel(-1);
    lb->setProperty(WSNlabelPixmap,"$(WSDIR)/sys/pixmaps/bi16.xpm");
  }

  // setItemValue( item pos   , WS_NDENT_LEVEL, indent_level)
  // item pos = 0,1,2,3... -1 = 最後の項目
  // indent level = 0 =再上位, 1 =第１子, 2 =第２子, 3...
  newlist_001->setItemValue(-1,WS_INDENT_LEVEL, (count-1) % 4 );

  // setItemValue( item pos   , WS_OPEN, flag) 
  // controling item (specified item only) for tree:open/close
  // item pos = 0,1,2,3... -1 = 最後の項目
  // flag: 0 =close, 1 =open.
  newlist_001->setItemValue(-1,WS_OPEN,1);

  // setItemValue( item pos   , WS_ABSOLUTE_OPEN, flag) 
  // controling item (including parent item) for tree:open/close
  // item pos = 0,1,2,3... -1 = 最後の項目
  // flag: 0 =close, 1 =open.

//    newlist_001->setItemValue(-1,WS_ABSOLUTE_OPEN,1);
  newlist_001->updateList();
  count++;

}
static WSCfunctionRegister  op("btnep1",(void*)btnep1);
